@use "@/theme/base.scss";

$logo-size: 64px;
$breadcrumb-height: 32px;

.nav {
  @include base.elevated;
  background: var(--contrast-inverse);
  padding: 1rem;
  display: grid;
  gap: 0 1rem;
  grid:
    "logo items menu" 64px
    "bc bc bc" #{$breadcrumb-height} /
    64px auto minmax(64px, max-content);
  align-items: end;
  position: relative;
  justify-content: stretch;
}

.logo {
  grid-area: logo;
  height: $logo-size;
  box-shadow: 0 0 0 2px var(--button);
  margin: 0;
}

.items {
  grid-area: items;
  @include base.mq($until: desktop) {
    align-self: baseline;
  }
}

.mobileMenuButton {
  display: none;
  outline: 0;
  border: 0;
}

.discordItem {
  color: #5663f0;
}

.donateItem {
  color: #ff0;
}

.iconitem {
  display: inline-block;
  color: #aaa;
  text-decoration: none;
  padding: 0 0.5rem;

  :global(.icon) {
    margin-bottom: -4px;
    margin-right: 0.5rem;
    height: 16px;
    contain: content;
  }
}

.menu {
  grid-area: menu;
  justify-self: end;
}

.item,
.discordItem,
.donateItem {
  display: inline-block;
  text-decoration: none;
  padding: 0 1rem;
  transition: 150ms color;
  // border-bottom: 2px solid transparent;
  :global(.icon) {
    margin-right: 0.5rem;
    height: 16px;
    contain: content;
  }
  &:global(.is-active) {
    color: var(--contrast);
  }
  background: none !important;
}

@include base.mq($from: tablet, $until: desktop) {
  .links {
    display: grid;
    grid: 1fr / 1fr 1fr 1fr 1fr;
    grid-auto-rows: 3rem;
    align-items: center;
    padding: 1rem;
  }
  .item,
  .discordItem,
  .donateItem {
    padding: 0;
  }
}

@include base.mq($until: tablet) {
  .mobileMenuButton {
    color: var(--color);
    background: none;
    outline: 0;
    display: block;
    grid-area: items;
    text-align: left;
    padding: 1rem 1rem 0 1rem;
    align-self: end;
    justify-self: stretch;
  }

  .nav[data-state="Open"] > .items {
    @include base.slidein;
    display: block;
    opacity: 1;
  }

  .nav[data-state="Closing"] > .items {
    @include base.slideout;
    display: block;
    opacity: 1;
  }

  .items {
    gap: 0;
    display: none;
    width: 100%;
    background: black;
    top: calc(100% - #{$breadcrumb-height + 6px});
    grid-area: none;
    position: absolute;
    z-index: 99;
    box-shadow: var(--box-shadow);
    border-radius: 0 0 var(--border-radius) var(--border-radius);
    transform: scaleY(1);
    opacity: 0;
  }

  .links {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: 36px;
    grid-area: none !important;
    align-items: center;
  }

  .item,
  .discordItem,
  .donateItem {
    padding: 0.5rem 1rem;
    display: block;
  }
}

.donateItem {
  font-weight: bold;
}

.item {
  color: var(--contrast-muted);
  background: none !important;
}
